package com.ruoyi.szxc.service.impl;

import com.ruoyi.common.annotation.DataScope;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.szxc.domain.SzxcPersonTag;
import com.ruoyi.szxc.mapper.SzxcPersonTagMapper;
import com.ruoyi.szxc.service.ISzxcPersonTagService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 人员标签Service业务层处理
 * 
 * @author hs
 * @date 2024-03-14
 */
@Service
public class SzxcPersonTagServiceImpl implements ISzxcPersonTagService 
{
    @Autowired
    private SzxcPersonTagMapper szxcPersonTagMapper;

    /**
     * 查询人员标签
     * 
     * @param id 人员标签主键
     * @return 人员标签
     */
    @Override
    public SzxcPersonTag selectSzxcPersonTagById(Long id)
    {
        return szxcPersonTagMapper.selectSzxcPersonTagById(id);
    }

    /**
     * 查询人员标签列表
     * 
     * @param szxcPersonTag 人员标签
     * @return 人员标签
     */
    @Override
  //  @DataScope(deptAlias = "d", userAlias= "d")
    @DataScope(deptAlias = "d")
    public List<SzxcPersonTag> selectSzxcPersonTagList(SzxcPersonTag szxcPersonTag)
    {
        return szxcPersonTagMapper.selectSzxcPersonTagList(szxcPersonTag);
    }

    /**
     * 新增人员标签
     * 
     * @param szxcPersonTag 人员标签
     * @return 结果
     */
    @Override
    public int insertSzxcPersonTag(SzxcPersonTag szxcPersonTag)
    {
        szxcPersonTag.setCreateTime(DateUtils.getNowDate());
        return szxcPersonTagMapper.insertSzxcPersonTag(szxcPersonTag);
    }

    /**
     * 修改人员标签
     * 
     * @param szxcPersonTag 人员标签
     * @return 结果
     */
    @Override
    public int updateSzxcPersonTag(SzxcPersonTag szxcPersonTag)
    {
        szxcPersonTag.setUpdateTime(DateUtils.getNowDate());
        return szxcPersonTagMapper.updateSzxcPersonTag(szxcPersonTag);
    }

    /**
     * 批量删除人员标签
     * 
     * @param ids 需要删除的人员标签主键
     * @return 结果
     */
    @Override
    public int deleteSzxcPersonTagByIds(Long[] ids)
    {
        return szxcPersonTagMapper.deleteSzxcPersonTagByIds(ids);
    }

    /**
     * 删除人员标签信息
     * 
     * @param id 人员标签主键
     * @return 结果
     */
    @Override
    public int deleteSzxcPersonTagById(Long id)
    {
        return szxcPersonTagMapper.deleteSzxcPersonTagById(id);
    }
}
